function [Ubounds_2MU] = bounds_2MU_creation(point,dim_2MU,type_model)%,dim_model,Kmax)

if(dim_2MU~=size(point,1))
    error('Size issue');
end

Ubounds_2MU  = zeros(dim_2MU,2,2);
Ubounds_a = zeros(dim_2MU,2);
Ubounds_b = zeros(dim_2MU,2);
switch type_model
    case {'AR','ARMA'}
        Ubounds_b(:,1) = -10;
        Ubounds_b(:,2) = 10;
        Ubounds_a(:,1) = max(-point/2,Ubounds_b(:,1)+0.01);
        Ubounds_a(:,2) = min(point/2,Ubounds_b(:,2)-0.01);
    case {'GARCH','MSM'}
        Ubounds_b(:,1) = -10;
        Ubounds_b(:,2) = 10;
        
        Ubounds_a(:,1) = -point/2;
        Ubounds_a(:,2) = point/2;
        
end
Ubounds_2MU(:,:,1) = Ubounds_a;
Ubounds_2MU(:,:,2) = Ubounds_b;