function [weight_vect,weight] = phi_into_weight(phi_vect,Ubounds_2MU,Kmax)
dim = size(phi_vect);
dim_Ubounds = size(Ubounds_2MU);
if(dim(1)~=dim_Ubounds(1))
    error('Not proper size');
end
dim_model = dim_Ubounds(1)/Kmax;
ratio_var = zeros(dim_Ubounds(1),2);
ratio_var(:,1) = Ubounds_2MU(:,2,1)-Ubounds_2MU(:,1,1);
ratio_var(:,2) = Ubounds_2MU(:,2,2)-Ubounds_2MU(:,1,2);


weight_vect = (ratio_var(:,1).*(1-phi_vect)./(ratio_var(:,1).*(1-phi_vect) + ratio_var(:,2).*(phi_vect)));
weight = reshape(weight_vect,dim_model,Kmax);

