function [theta_vect,theta] = simulation_from_2MU(weight_vect,Ubounds,Kmax)

dim = size(weight_vect);
dim_Ubounds = size(Ubounds);
if(dim(1)~=dim_Ubounds(1))
    error('Not proper size');
end



unif = rand(dim_Ubounds(1),1);
ind_component = (unif>weight_vect) + 1;
theta_vect = zeros(dim_Ubounds(1),1);
for i=1:dim_Ubounds(1)
    theta_vect(i) = Ubounds(i,1,ind_component(i)) + (Ubounds(i,2,ind_component(i))-Ubounds(i,1,ind_component(i)))*rand();
end

dim_model = dim_Ubounds(1)/Kmax;
theta = reshape(theta_vect,dim_model,Kmax);