function [ESS_phi] = calc_ESS(log_like,w_part,diff_phi,ESS_target)
if(max(size(diff_phi))==1)
    diff_phi = exp(diff_phi)/(1+exp(diff_phi));
    if(diff_phi>0)
        w_aux = diff_phi*(log_like);
        [maxi] = max(w_aux);
        w_aux = w_part.*exp(w_aux-maxi);
        w_aux = w_aux/sum(w_aux);
        ESS_phi = abs(ESS_target-1/sum(w_aux.*w_aux));
        if(ESS_phi<0)
            ESS_phi = 1e5;
        end
    else
        ESS_phi = 1e5;
    end
else
   N_part = max(size(log_like));
   nb_phi = max(size(diff_phi));
   diff_phi = exp(diff_phi)./(1+exp(diff_phi));
   w_aux = kron(ones(N_part,1),diff_phi).*(kron(log_like,ones(1,nb_phi)));
   [maxi] = max(w_aux);
   w_aux = w_part.*exp(w_aux-kron(ones(N_part,1),maxi));
   w_aux = w_aux./(kron(ones(N_part,1),sum(w_aux)));
   ESS_phi = abs(ESS_target-1./sum(w_aux.*w_aux));
end
