function [theta_all_reg] = transform_2MU_into_model_parameters(theta_1reg,theta_2MU_vect,type_model,nb_param,Kmax)
if(size(theta_2MU_vect,1)~=nb_param*Kmax)
    error('dimension problem');
end

switch type_model
    case {'AR','ARMA'}

        theta_2MU = reshape(theta_2MU_vect,nb_param,Kmax);
        theta_all_reg = [theta_1reg theta_2MU]; %%% In logs
        theta_all_reg = cumsum(theta_all_reg,2);

    case {'GARCH','MSM'}
        
        theta_2MU = reshape(theta_2MU_vect,nb_param,Kmax);
        theta_all_reg = [theta_1reg theta_2MU]; %%% In logs
        theta_all_reg = cumsum(theta_all_reg,2);
end