function [ARMA_sorted,sigma_sorted] = transform_param(ARMA,sigma,regime,taille_ARMA,Prior_on_lags,spike_and_slab)
dim_ARMA = size(ARMA);
if(dim_ARMA(2) == max(dim_ARMA))
    ARMA = ARMA';
end

dim_sigma = size(sigma);
if(dim_sigma(2) == max(dim_sigma))
    sigma = sigma';
end


if(spike_and_slab~=2)
    sigma_sorted = sigma;
    ARMA_sorted = ARMA;
else
    sigma_sorted = cumsum(sigma);
    ARMA_sorted = ARMA;
    if(Prior_on_lags==1)
        ARMA_sorted(2:taille_ARMA) = cumsum(ARMA_sorted(2:taille_ARMA));
        for q=2:regime
            ind = (q-1)*taille_ARMA;
            ARMA_sorted(ind+1:ind+2) = ARMA_sorted((q-2)*taille_ARMA+1:(q-2)*taille_ARMA+2) + ARMA(ind+1:ind+2); 
            if(taille_ARMA>2)
                ARMA_sorted(ind+3:(q)*taille_ARMA) = ARMA_sorted(ind+2) + cumsum(ARMA(ind+3:ind+taille_ARMA));
            end
        end
    else
        for q=2:regime
            ARMA_sorted((q-1)*taille_ARMA+1:q*taille_ARMA) =ARMA_sorted((q-2)*taille_ARMA+1:(q-1)*taille_ARMA) + ARMA((q-1)*taille_ARMA+1:q*taille_ARMA);
        end
    end
end

